## cdebconf 0.181ubuntu1

=== debian/changelog ===
cdebconf (0.181ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 16:24:51 +0000

cdebconf (0.181) unstable; urgency=low

  * Fix the display of info messages (e.g. “Rescue mode”) by aligning them
    on the left (rather than on the right, on top of either the “debian”
    or the Debian swirl), also centering them vertically, getting rid of
    magic numbers in the process.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Dec 2012 23:42:42 +0100

cdebconf (0.180) unstable; urgency=low

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Dec 2012 16:33:29 +0100

cdebconf (0.179ubuntu3) raring; urgency=low

  * Call newtInit after establishing /etc/newt/palette symlink.
  * Reformat palettes to match upstream file format in newt 0.52.13
    (LP: #1089331).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Dec 2012 13:13:42 +0000

cdebconf (0.179ubuntu2) raring; urgency=low

  * Rebuild against libnewt-dev with fixed libnewt.so symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 15:21:41 +0000

cdebconf (0.179ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 13:24:36 +0000

cdebconf (0.179) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Kannada (kn.po) by Vikram Vincent

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Nov 2012 22:31:50 +0100

cdebconf (0.178) unstable; urgency=low

  [ Christian Perrier ]
  * [l10n] Drop use of sublevel 6 and move "recently" added
    strings to the sublevel they pertain to.

  [ Samuel Thibault ]
  * text:
    - Fix spurious "dot" spoken in progression percentage speech synthesis, by
    using proper typography.
    - Add quotes around key strokes in help message so the speech synthesis can
    know it has to spell it, make it translatable and translate it in all
    languages the same way as it was done in other messages.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Tomos
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by Behrad Eslamifar
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Tomislav Krznar
  * Indonesian (id.po) by T. Surya Fajri
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Malayalam (ml.po) by Hrishikesh K B
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Michał Kułach
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Karolina Kalic
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Sahran
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by imacat

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Oct 2012 07:39:45 +0200

cdebconf (0.176) unstable; urgency=low

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin
  * Traditional Chinese (zh_TW.po) by imacat

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Oct 2012 06:50:43 +0200

cdebconf (0.175) unstable; urgency=low

  [ Updated translations ]
  * Persian (fa.po) by Hamid
  * Malayalam (ml.po) by Anish A
  * Vietnamese (vi.po) by Hai-Nam Nguyen
  * Traditional Chinese (zh_TW.po) by Ｖ字龍 | Vdragon

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 14:24:00 +0200

cdebconf (0.174) unstable; urgency=low

  [ Samuel Thibault ]
  * Add DEBCONF_TEXT_HORIZ environment variable to enumerate choices
    horizontally for speech synthesis. Closes: #682538.

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Sep 2012 07:38:59 +0200

cdebconf (0.173) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Serbian (sr.po) by Karolina Kalic

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Aug 2012 08:10:43 +0200

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Regis Boudin <regis@debian.org>
Standards-Version: 3.9.3
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.4)
Provides: debconf-2.0
Suggests: cdebconf-gtk
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.

Package: cdebconf-gtk
Architecture: any
Section: admin
Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
Replaces: cdebconf (<< 0.144)
Priority: extra
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.

Package: libdebconfclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debian Configuration Management System (C-implementation library)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is the libraries needed by libdebconfclient-dev and cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Section: libdevel
Depends: libdebconfclient0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: debconf-2.0
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
Package-Type: udeb
XB-Installer-Menu-Item: 93000
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-slang-udeb
Architecture: disabled
Section: debian-installer
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: S-Lang frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
Package-Type: udeb
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

## cdebconf 0.182

=== src/modules/db/rfc822db/Makefile ===
MODULE=rfc822db
SOBJ=rfc822db.so
OBJS=rfc822db.opic

LIBS=-ldebian-installer

include ../modules.mak

=== debian/changelog ===
cdebconf (0.182) unstable; urgency=low

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 16:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Regis Boudin <regis@debian.org>
 Standards-Version: 3.9.3
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
-XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
+Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
+Vcs-Git: git://git.debian.org/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=passthrough text newt gtk
UDEB_FRONTENDS=passthrough text newt gtk

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb build-udeb

build-arch: build
build-indep: build

$(debbuild)/config.status:
	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
	dh_auto_configure -B$(debbuild) -- \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	dh_auto_build -B$(debbuild)
	touch $@

$(udebbuild)/config.status:
	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	dh_auto_configure -B$(udebbuild) -- \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	dh_auto_build -B$(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean -B$(debbuild)
	dh_auto_clean -B$(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	dh_auto_clean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
		TARGET=deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
		TARGET=udeb
	dh_install -a

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.182ubuntu1

=== debian/changelog ===
cdebconf (0.182ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 01:10:07 +0100

## cdebconf 0.187

=== debian/changelog ===
cdebconf (0.187) unstable; urgency=medium

  * Convert library packages to multiarch.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2014 15:46:49 +0000

cdebconf (0.186) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Dec 2013 14:13:01 +0100

cdebconf (0.185) unstable; urgency=low

  * Drop useless shlibs.local file. Thanks to Sven Joachim
    for pointing this. Closes: #720972
 
  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov
 
 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Aug 2013 07:12:16 +0200

cdebconf (0.184) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Aug 2013 22:25:51 +0200

cdebconf (0.183) unstable; urgency=low

  [ Cyril Brulebois ]
  * Specify three arguments for all AC_DEFINE{,_UNQUOTED} calls, since
    autoheader doesn't like having only 1 or 2 arguments there. Use
    “[1]” as the second argument when there was only one, since that's
    the default when it's not specified.
  * Run autoreconf as build time:
    - Add dh-autoreconf as a build-dep.
    - Call dh_autoreconf before dh_auto_configure through an extra
      configure target and dependencies from */config.status.
    - Call dh_autoreconf_clean in the clean target.
  * Remove the following files from git accordingly:
    - aclocal.m4
    - configure
    - src/config.h.in
  * Wrap Build-Depends and Uploaders fields.
  * Add myself to Uploaders.

  [ Colin Watson ]
  * Ignore some automake-related configure options, silencing warnings from
    dh_auto_configure.

  [ Christian Perrier ]
  * Fix spelling error in a former changelog entry in "Explicitly".
    This will save us from a lintian warning.
  * Update Standards to 3.9.4 (checked)

  [ Dmitrijs Ledkovs ]
  * Set Vcs-* to canonical format.
  * Simply use (>= 9) version specifier for debhelper.

  [ Regis Boudin ]
  * Link with -Wl,--as-needed, avoiding many indirect dependencies from GTK.
  * Explicitly link the passthrough module with libdebian-installer.
  * Use @DI_LIBS@ instead of -ldebian-installer in Makefile.in.
  * Check that the return of getenv() is not NULL before trying to use the
    result. Thanks to the Mayhem Team for running their tests.
  * Let dpkg-preconfigure only run as root, just like dpkg-reconfigure.
  * Rework database saving to store the old versions.
  * Fix a typo to correctly recognise password options.

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Jul 2013 20:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,26 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
+Build-Depends:
+ debhelper (>= 9),
+ po-debconf (>= 0.5.0),
+ libslang2-dev,
+ libnewt-dev,
+ libtextwrap-dev (>= 0.1-5),
+ libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev,
+ libgtk2.0-dev (>= 2.24),
+ libcairo2-dev (>= 1.8.10-3),
+ dh-autoreconf,
+ dh-exec,
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Regis Boudin <regis@debian.org>
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
+Uploaders:
+ Colin Watson <cjwatson@debian.org>,
+ Christian Perrier <bubulle@debian.org>,
+ Regis Boudin <regis@debian.org>,
+ Cyril Brulebois <kibi@debian.org>
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
+Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any
@@ -35,7 +49,9 @@
 
 Package: libdebconfclient0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Debian Configuration Management System (C-implementation library)
  Debconf is a configuration management system for Debian packages. It is
@@ -47,6 +63,7 @@
 
 Package: libdebconfclient0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libdebconfclient0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev

## cdebconf 0.187ubuntu1

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf man

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

man:
	$(MAKE) -C man

configure: configure.ac
	autoconf

install:
	$(MAKE) -C src $@
	$(MAKE) -C man $@

clean: 
	rm -f *-stamp
	[ ! -f globalmakeflags ] || $(MAKE) -C src $@

distclean: clean
	rm -f config.status config.log config.cache globalmakeflags
	rm -rf autom4te.cache
	rm -f src/cdebconf.conf-dist src/Makefile src/config.h man/Makefile
	rm -f src/modules/frontend/gtk/Makefile
	rm -f src/modules/frontend/ncurses/Makefile
	rm -f src/modules/frontend/newt/Makefile
	rm -f src/modules/frontend/slang/Makefile

.PHONY: cdebconf clean distclean

=== debian/changelog ===
cdebconf (0.187ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Jan 2014 18:23:04 +0000

cdebconf (0.185ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 17:56:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,17 @@
  libcairo2-dev (>= 1.8.10-3),
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
  Regis Boudin <regis@debian.org>,
  Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
 
 Package: cdebconf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 debbuild=debian/build-deb
 udebbuild=debian/build-udeb
@@ -33,9 +35,13 @@
 build-arch: build
 build-indep: build
 
-$(debbuild)/config.status:
+configure:
+	dh_autoreconf
+
+$(debbuild)/config.status: configure
 	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
 	dh_auto_configure -B$(debbuild) -- \
+		--libexecdir=\$${prefix}/lib \
 		--without-rpath \
 		--with-db="textdb rfc822db stack" \
 		--with-frontend="$(DEB_FRONTENDS)" \
@@ -49,9 +55,10 @@
 	dh_auto_build -B$(debbuild)
 	touch $@
 
-$(udebbuild)/config.status:
+$(udebbuild)/config.status: configure
 	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
 	dh_auto_configure -B$(udebbuild) -- \
+		--libexecdir=\$${prefix}/lib \
 		--enable-d-i \
 		--without-rpath --with-db="rfc822db stack" \
 		--with-frontend="$(UDEB_FRONTENDS)" \
@@ -74,6 +81,7 @@
 	dh_auto_clean -B$(udebbuild)
 	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
 	dh_auto_clean
+	dh_autoreconf_clean
 	dh_clean
 
 install: install-arch install-indep
@@ -82,10 +90,8 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
-		TARGET=deb
-	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
-		TARGET=udeb
+	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
+	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
 	dh_install -a
 
 install-indep:

## cdebconf 0.191

=== debian/changelog ===
cdebconf (0.191) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 May 2014 06:43:40 +0200

cdebconf (0.190) unstable; urgency=medium

  * Resize banner when window width and banner width don't match
    (Closes: #745359).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 28 Apr 2014 13:10:14 +0200

cdebconf (0.189) unstable; urgency=medium

  [ Regis Boudin ]
  * Only try to convert the debconf frontend to the cdebconf equivalent if it
    is defined.

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Mar 2014 06:56:57 +0100

cdebconf (0.188) unstable; urgency=medium

  [ Samuel Thibault ]
  * Re-introduce -lpthread for being able to load gtk dynamically on hurd-any.

  [ Cyril Brulebois ]
  * Add support for loading an alternate banner when the GTK theme name
    is "dark" (Closes: #740358). Fall back to the regular one if it's
    not available (See: #696969).
  * Adjust clean to remove all Makefile files generated from Makefile.in
    (3 out of 7 weren't cleaned yet).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Feb 2014 21:49:31 +0300

## cdebconf 0.192

=== debian/changelog ===
cdebconf (0.192) unstable; urgency=low

  * Drop cdebconf-slang-udeb from debian/control instead of using the
    "Architecture: disabled" hack (no tsupported by dak)

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Sep 2014 08:39:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,15 @@
  libcairo2-dev (>= 1.8.10-3),
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
  Regis Boudin <regis@debian.org>,
  Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.4
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
+Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any
@@ -133,20 +131,6 @@
  cdebconf-text-udeb is a basic plain text frontend cdebconf package used
  by the debian-installer.
 
-Package: cdebconf-slang-udeb
-Architecture: disabled
-Section: debian-installer
-Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
-Package-Type: udeb
-Description: S-Lang frontend for Debian Configuration Management System
- Debconf is a configuration management system for Debian packages. It is
- used by some packages to prompt you for information before they are
- installed. This is a reimplementation of the original debconf version
- in C.
- .
- cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
- by the debian-installer.
-
 Package: cdebconf-newt-udeb
 Architecture: any
 Section: debian-installer

## cdebconf 0.198ubuntu1

=== src/modules/db/stack/Makefile ===
MODULE=stack
SOBJ=stack.so
OBJS=stack.opic

include ../modules.mak

=== debian/changelog ===
cdebconf (0.198ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 26 Nov 2015 21:49:45 +0100

cdebconf (0.198) unstable; urgency=medium

  [ Regis Boudin ]
  * Fix libselinux1-dev dependency to be [linux-any]. It prevented hurd and
    kFreeBSD from building.
  * Fix build system so CFLAGS and CPPFLAGS are actually applied. This triggers
    hardening and a few new warnings, so temporarily disable Werror for the
    GTK+ module.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Nov 2015 08:57:05 +0100

cdebconf (0.197) unstable; urgency=medium

  [ Regis Boudin ]
  * Add lintian overrides for malformed-prompt-in-templates, no-debconf-config,
    and no-debconf-config. The package uses them for translations.
  * Fix extended descriptions for libdebconfclient0 and libdebconfclient0-dev.
    Thanks Filipus Klutiero. Closes: #759755.
  * Allow one to show/hide characters typed in password field with the GTK+ and
    Newt frontends. Closes: #700924.
  * Run maintainer scripts in correct selinux context. Only enabled in the
    non-d-i build. Closes: #752002.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Nov 2015 08:30:56 +0100

cdebconf (0.196) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add control-+/- shortcuts to adjust font size.

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Nov 2015 07:05:20 +0100

cdebconf (0.195) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Jul 2015 09:23:10 +0200

cdebconf (0.194) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jun 2015 07:21:59 +0200

cdebconf (0.193) unstable; urgency=medium

  [ Christian Perrier ]
  * Fix memory leaks spotted by cppcheck. Closes: #783411
  * Update Standards to 3.9.6 (checked)

  [ Samuel Thibault ]
  * In text frontend, allow the Choices-C value in addition to the numbers.
    Closes: #781439

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 May 2015 06:59:16 +0200

cdebconf (0.192ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:23:44 +0000

cdebconf (0.191ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Jun 2014 10:53:24 +0100

cdebconf (0.190ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Apr 2014 10:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,20 @@
  libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev,
  libgtk2.0-dev (>= 2.24),
  libcairo2-dev (>= 1.8.10-3),
+ libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
  Regis Boudin <regis@debian.org>,
  Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
+Standards-Version: 3.9.6
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
 
 Package: cdebconf
 Architecture: any
@@ -56,10 +59,9 @@
 Description: Debian Configuration Management System (C-implementation library)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
- installed. This is a reimplementation of the original debconf version
- in C.
+ installed. cdebconf is a reimplementation of the original debconf in C.
  .
- This is the libraries needed by libdebconfclient-dev and cdebconf.
+ This library allows C programs to interface with cdebconf.
 
 Package: libdebconfclient0-dev
 Architecture: any
@@ -72,7 +74,7 @@
 Description: Development files for cdebconf
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
- installed. This is a reimplementation of the original debconf version
+ installed. cdebconf is a reimplementation of the original debconf version
  in C.
  .
  This package contains files needed to do cdebconf development

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-lpthread -Wl,--as-needed
 
 debbuild=debian/build-deb
 udebbuild=debian/build-udeb
 
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 CONFFILE=/etc/cdebconf.conf
 
 #package names
@@ -20,11 +21,17 @@
 DEB_FRONTENDS=passthrough text newt gtk
 UDEB_FRONTENDS=passthrough text newt gtk
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+    SELINUXFLAG=--enable-selinux
+else
+    SELINUXFLAG=--disable-selinux
+endif
+
 SIZEOPTFLAG=-Os
 SPEEDOPTFLAG=-O2
 DEBUG_CONFIGURE_OPT=
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
+	DEBUGOPTFLAG=-g
 	SIZEOPTFLAG=
 	SPEEDOPTFLAG=
 	DEBUG_CONFIGURE_OPT=--with-debug=yes
@@ -39,13 +46,14 @@
 	dh_autoreconf
 
 $(debbuild)/config.status: configure
-	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
+	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SPEEDOPTFLAG)" \
 	dh_auto_configure -B$(debbuild) -- \
 		--libexecdir=\$${prefix}/lib \
 		--without-rpath \
 		--with-db="textdb rfc822db stack" \
 		--with-frontend="$(DEB_FRONTENDS)" \
 		--with-textwrap \
+		$(SELINUXFLAG) \
 		--with-conffile=$(CONFFILE) \
 		$(DEBUG_CONFIGURE_OPT)
 
@@ -56,7 +64,7 @@
 	touch $@
 
 $(udebbuild)/config.status: configure
-	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
+	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SIZEOPTFLAG) -fomit-frame-pointer" \
 	dh_auto_configure -B$(udebbuild) -- \
 		--libexecdir=\$${prefix}/lib \
 		--enable-d-i \
@@ -65,6 +73,7 @@
 		--with-default-frontend=newt \
 		--with-syslog-logging \
 		--with-textwrap \
+		--disable-selinux \
 		--with-conffile=$(CONFFILE) \
 		$(DEBUG_CONFIGURE_OPT)
 
@@ -119,6 +128,7 @@
 	dh_installdocs -s
 	dh_installdebconf -s
 	dh_installdirs -s
+	dh_lintian -s
 	dh_strip -s
 	dh_compress -s
 	dh_fixperms -s

## cdebconf 0.198ubuntu1%2B8.0trisquel1

=== debian/changelog ===
cdebconf (0.198ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:45:40 +0000

## cdebconf 0.210

=== debian/changelog ===
cdebconf (0.210) unstable; urgency=medium

  [ Updated translations ]
  * Slovak (sk.po) by ctenar

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 May 2016 10:54:40 +0200

cdebconf (0.209) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2016 15:39:45 +0200

cdebconf (0.208) unstable; urgency=medium

  [ Samuel Thibault ]
  * gtk: Auto-scroll when switching between entries.

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2016 08:05:54 +0200

cdebconf (0.207) unstable; urgency=medium

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Mar 2016 06:52:27 +0100

cdebconf (0.206) unstable; urgency=medium

  [ Regis Boudin ]
  * Use functions to get, set, and clear flags instead of accessing the
    structure directly. These take a string instead of the bits fied used
    internaly, preparing for the capacity to handle any arbitrary flag.
  * Create methods that let plugins use question as an opaque structure.

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto
  * Thai (th.po) by Theppitak Karoonboonyanan

  [ Christian Perrier ]
  * Update Standards to 3.9.7 (checked)

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Feb 2016 07:10:34 +0100

cdebconf (0.205) unstable; urgency=medium

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Feb 2016 06:58:05 +0100

cdebconf (0.204) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

  [ Regis Boudin ]
  * Where possible, make the GTK+2 code not use methods which get deprecated
    later on in GTK+3.
  * Fix handling of the buffer in dpkg-preconfigure when in apt mode and
    reading from stdin.

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Feb 2016 06:56:59 +0100

cdebconf (0.203) unstable; urgency=medium

  [ Regis Boudin ]
  * Remove conditional code to handle glib pre-2.31, which is pre-wheezy.
    Add versioned Build-Depends accordingly.
  * Updake GTK+ plugin to not use deprecated GDK symbols.
  * Add the possibility to target GTK+2 or GTK+3. Stick to GTK+2 for now.

  [ Samuel Thibault ]
  * text: Print one screen worth of choices, and use +/- to switch between
    choices screens. Closes: #809739.

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jan 2016 15:40:45 +0100

cdebconf (0.201) unstable; urgency=medium

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Czech (cs.po) by Miroslav Kure
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Dec 2015 08:05:30 +0100

cdebconf (0.200) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 Dec 2015 05:55:56 +0100

cdebconf (0.199) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Nov 2015 07:19:19 +0100

## cdebconf 0.213

=== debian/changelog ===
cdebconf (0.213) unstable; urgency=medium

  * Rebuild with translations really back in place...:-)

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 17:58:59 +0200

cdebconf (0.212) unstable; urgency=medium

  * Rebuild with translations back in place

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 16:26:52 +0200

cdebconf (0.211) unstable; urgency=medium

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 May 2016 12:33:39 +0200

## cdebconf 0.213ubuntu1

=== debian/changelog ===
cdebconf (0.213ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
  * Drop Vcs-Bzr:. Merges into bzr from git are really inconvenient, and there
    hasn't been any Ubuntu development for this package in years.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jun 2016 11:57:08 +0200

## cdebconf 0.213ubuntu1%2B9.0trisquel1

=== debian/changelog ===
cdebconf (0.213ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Apr 2019 14:54:37 +0000

## cdebconf 0.220

=== debian/changelog ===
cdebconf (0.220) unstable; urgency=medium

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Jan 2017 06:47:22 +0100

cdebconf (0.219) unstable; urgency=medium

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Nov 2016 07:41:40 +0100

cdebconf (0.218) unstable; urgency=medium

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Oct 2016 19:55:22 +0200

cdebconf (0.217) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Sep 2016 08:36:07 +0200

cdebconf (0.216) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 08:34:59 +0200

cdebconf (0.215) unstable; urgency=medium

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Jul 2016 16:16:08 +0200

cdebconf (0.214) unstable; urgency=medium

  * Rebuild with complete translations

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jul 2016 19:51:11 +0200

## cdebconf 0.226

=== debian/changelog ===
cdebconf (0.226) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Mar 2017 05:53:47 +0100

cdebconf (0.225) unstable; urgency=medium

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Mar 2017 05:56:30 +0100

cdebconf (0.224) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Feb 2017 05:52:59 +0100

cdebconf (0.223) unstable; urgency=medium

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Feb 2017 07:22:10 +0100

cdebconf (0.222) unstable; urgency=medium

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Feb 2017 08:38:36 +0100

cdebconf (0.221) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Jan 2017 08:25:08 +0100

## cdebconf 0.227

=== src/modules/db/http/Makefile ===
MODULE=http
SOBJ=http.so
OBJS=http.opic

include ../modules.mak

=== debian/changelog ===
cdebconf (0.227) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Valentin Vidic

 -- Christian Perrier <bubulle@debian.org>  Mon, 03 Apr 2017 07:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,21 @@
  libnewt-dev,
  libtextwrap-dev (>= 0.1-5),
  libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev,
+ libglib2.0-dev (>= 2.31),
  libgtk2.0-dev (>= 2.24),
  libcairo2-dev (>= 1.8.10-3),
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
  Regis Boudin <regis@debian.org>,
  Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.6
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/cdebconf.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/cdebconf.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/cdebconf.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any
